Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRené Scharfe <rene.scharfe@lsrfire.ath.cx>2013-01-06 21:49:00 +0400
committerJunio C Hamano <gitster@pobox.com>2013-01-07 20:47:51 +0400
commit25d3d323633dbf3b8e8fbe209c9054196a202cf7 (patch)
tree0963e7b7141e65665e900b8750835c5907c280fe /t/t0024-crlf-archive.sh
parentac00128298583bcdd42bffc767393868821b6af6 (diff)
t0024, t5000: use test_lazy_prereq for UNZIP
This change makes the code smaller and we can put it at the top of the script, its rightful place as setup code. Signed-off-by: Rene Scharfe <rene.scharfe@lsrfire.ath.cx> Reviewed-by: Jonathan Nieder <jrnieder@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t0024-crlf-archive.sh')
-rwxr-xr-xt/t0024-crlf-archive.sh12
1 files changed, 5 insertions, 7 deletions
diff --git a/t/t0024-crlf-archive.sh b/t/t0024-crlf-archive.sh
index 080fe5c6dd..5378787e1b 100755
--- a/t/t0024-crlf-archive.sh
+++ b/t/t0024-crlf-archive.sh
@@ -5,6 +5,11 @@ test_description='respect crlf in git archive'
. ./test-lib.sh
GIT_UNZIP=${GIT_UNZIP:-unzip}
+test_lazy_prereq UNZIP '
+ "$GIT_UNZIP" -v
+ test $? -ne 127
+'
+
test_expect_success setup '
git config core.autocrlf true &&
@@ -26,13 +31,6 @@ test_expect_success 'tar archive' '
'
-"$GIT_UNZIP" -v >/dev/null 2>&1
-if [ $? -eq 127 ]; then
- say "Skipping ZIP test, because unzip was not found"
-else
- test_set_prereq UNZIP
-fi
-
test_expect_success UNZIP 'zip archive' '
git archive --format=zip HEAD >test.zip &&